<template>
	<div class="FieldStatusCell" @click="handleClick">
		<div class="FieldStatusCell-statusText">
			{{ state }}
		</div>
		<div class="FieldStatusCell-timestamp text-caption">
			{{
				new Date(timestamp).toLocaleString([], {
					year: 'numeric',
					month: 'numeric',
					day: 'numeric',
					hour: '2-digit',
					minute: '2-digit',
				})
			}}
		</div>
	</div>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api';

export default defineComponent({
	props: {
		state: {
			type: String,
			required: true,
		},
		timestamp: {
			type: String,
			required: true,
		},
		handleClick: {
			type: Function,
			required: false,
			default: () => {
				/* noop */
			},
		},
	},
});
</script>

<style>
.FieldStatusCell {
	display: flex;
	flex-direction: column;
	justify-content: center;
}
</style>
